<div align="center"> <img src="./docs/img/logo.svg"/ width=11%> </div>

# Ansible Collection - Core

[![License - GPLv3](https://img.shields.io/badge/License-GPLv3-2ea44f)](./LICENSE.md)

## Table of Contents

- [Table of Contents](#table-of-contents)
- [Introduction](#introduction)
- [Getting Started](#getting-started)
  - [Dependencies](#dependencies)
  - [Installation](#installation)
    - [Using Command Line Interface (CLI)](#using-command-line-interface-cli)
    - [Using a Requirements File](#using-a-requirements-file)
  - [Usage](#usage)
- [Additional Documentation](#additional-documentation)
- [About](#about)
- [Contributions](#contributions)
- [License](#license)

## Introduction

This collection includes `core` automation utilities that are used in the deployment of various Lunivity Circle Services.<br>
Core utilities include any kinds of roles and playbooks that are responsible for installing dependencies for services, or other general automations.

## Getting Started

### Dependencies

Before you begin, ensure you have the following prerequisites:

- `Ansible` installed on your ansible host.

### Installation

#### Using Command Line Interface (CLI)

- To install this Ansible collection using the CLI, follow these steps:

```bash
# install collection from source
$ ansible-galaxy collection install git+https://gitpot.org/lunivity/ansible-core.git

# install collection from tagged release 1.0.0 (currently unavailable)
$ ansible-galaxy collection install git+https://gitpot.org/lunivity/ansible-core.git,1.0.0
```

#### Using a Requirements File

 1. Create a file named `requirements.yml` in your workspace.
 2. Add the following content to your `requirements.yml` file:

```yaml
 collections:
  - name: https://gitpot.org/lunivity/ansible-core.git
    type: git
    version: latest
```

- Install the collection by running the following command in your workspace:

```bash
ansible-galaxy collection install -r /path/to/requirements.yml
```

### Usage

- To use the collection in your Ansible playbooks, include it like this:

```yaml
---
- name: Example Playbook
  hosts: localhost
  tasks:
    - name: Include role from Lunivity
      import_role:
        name: lunivity.core.<role>
```

## Additional Documentation

For more detailed documentation, including advanced usage and customization options, please refer to the [docs](https://wiki.lunivity.com/docs/ansible/core/).

## About

**Author:** [Sangelo](https://sangelo.space)

**Creation date:** January 06, 2024

## Contributions

You're welcome to contribute to this Ansible Collection if you have a Lunivity account (see Gitpot's [homepage](https://gitpot.org) for details if registrations aren't open yet).

## License

This project is licensed under the [GNU General Public License v3.0 (GPL-3.0)](./LICENSE.md). Refer to the [LICENSE](./LICENSE.md) file for more details.
